<?
/* ------------------------------------------------------------------------
 * test.php
 * ------------------------------------------------------------------------
 * PHP4 Customer Session Handler Test Script
 * Version 1.00
 * by Ying Zhang (ying@zippydesign.com)
 * Last Modified: May 21 2000
 */

/* default to DBM handler */
if (! isset($handler)) {
	$handler = "dbm";
}

/* default action is increment */
if (! isset($action)) {
	$action = "increment";
}

/* load up the appropriate session handling script, depending on the handler */
if ($handler == "dbm") {
	include("session_dbm.php");

} elseif ($handler == "mysql") {
	include("session_mysql.php");

} else {
	echo "<li>Unrecognized handler ($handler)";
	die;
}

/* start the session and register a simple counter */
session_start();
session_register("count");

/* figure out what we should do, depending on the action */
switch ($action) {
	case "increment" :
		$count = isset($count) ? $count + 1 : 0;
		break;

	case "destroy" :
		session_destroy();
		break;

	case "gc" :
		$maxlife = get_cfg_var("session.gc_maxlifetime");
		sess_gc($maxlife);
		break;

	default:
		echo "<li>Unknown action ($action)";
		break;
}
?>

<h1>Session Test Script</h1>
<ul>
<li>Handler: <b><?=$handler?></b>
<li>Action: <b><?=$action?></b>
<li>Count: <b><?=$count?></b>
</ul>

<hr size=1>
<form>
<table>
<tr>
	<td>Handler:</td>
	<td>
		<select name="handler">
		<option value="dbm">DBM</option>
		<option value="mysql">MySQL</option>
		</select>
	</td>
</tr>
<tr>
	<td>Action:</td>
	<td>
		<select name="action">
		<option value="increment">Increment</option>
		<option value="destroy">Session Destroy</option>
		<option value="gc">Force Garbage Collection</option>
		</select>
	</td>
</tr>
<tr>
	<td></td>
	<td><br><input type="submit"></td>
</tr>
</table>
</form>